[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# ExcludeTrailingBackslash

Strip trailing directory separator from a pathname, if needed.

## Declaration

Source position: finah.inc line 35

`function ExcludeTrailingBackslash(`
`const Path: UNICODESTRING`
`):UNICODESTRING; function ExcludeTrailingBackslash(`
`const Path: RAWBYTESTRING`
`):RAWBYTESTRING;`

## Description

ExcludeTrailingBackslash is provided for backwards compatibility with Delphi. Use ExcludeTrailingPathDelimiter instead.

## See also

IncludeTrailingPathDelimiter |  | Add trailing directory separator to a pathname, if needed.
ExcludeTrailingPathDelimiter |  | Strip trailing directory separator from a pathname, if needed.
PathDelim |  | Path (directory) delimiter.
IsPathDelimiter |  | Is the character at the given position a pathdelimiter ?